# ----- General -------------------------------------------------------------
DEBUG=off

# ----- Usage ---------------------------------------------------------------
usage:
	@type <<

Usage:

zmake dos16      (16 bit DOS with Pharlap)
zmake dos16b     (16 bit DOS with Blinker)
zmake dos32      (32 bit DOS)
zmake win16      (16 bit Windows)
zmake win32      (32 bit Windows)
zmake win32dll   (32 bit Windows dll)
zmake vxworks    (vxWorks)
<<

# ----- Clean ---------------------------------------------------------------
clean:
	z_clean

# ----- Platforms -----------------------------------------------------------
dos16: print16.exe report16.exe

dos16b: print1b.exe report1b.exe

dos32: print32.exe report32.exe

win16: wprint16.exe wrprt16.exe

win32: wprint32.exe wrprt32.exe

win32dll: wprint.exe wreport.exe

vxworks: vprint.o vreport.o

# ----- Targets -------------------------------------------------------------

!if "$(ZINC_COMPILER)" == "borland"
D16_DEFINITION_FILE=b16.def
!endif

#
# Build options for print16.exe
#
TARGET=print16.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=print.cpp printapp.cpp
ADD_LIBRARIES=
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for report16.exe
#
TARGET=report16.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=report.cpp
ADD_LIBRARIES=
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for pobj16.exe
#
TARGET=pobj16.exe
TARGET_TYPE=EXE
PLATFORM=DOS16
SOURCE_FILES=printobj.cpp
ADD_LIBRARIES=cfzd16.lib
DEFINITION_FILE=$(D16_DEFINITION_FILE)
!include <zaf.mak>

#
# Build options for print1b.exe
#
TARGET=print1b.exe
TARGET_TYPE=EXE
PLATFORM=DOS16B
SOURCE_FILES=print.cpp printapp.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for report1b.exe
#
TARGET=report1b.exe
TARGET_TYPE=EXE
PLATFORM=DOS16B
SOURCE_FILES=report.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for pobj1b.exe
#
TARGET=pobj1b.exe
TARGET_TYPE=EXE
PLATFORM=DOS16B
SOURCE_FILES=printobj.cpp
ADD_LIBRARIES=cfzd16.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for print32.exe
#
TARGET=print32.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=print.cpp printapp.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for report32.exe
#
TARGET=report32.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=report.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for pobj32.exe
#
TARGET=pobj32.exe
TARGET_TYPE=EXE
PLATFORM=DOS32
SOURCE_FILES=printobj.cpp
ADD_LIBRARIES=cfzd32.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wprint16.exe
#
TARGET=wprint16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=print.cpp printapp.cpp
ADD_LIBRARIES=
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wrprt16.exe
#
TARGET=wrprt16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=report.cpp
ADD_LIBRARIES=
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wpobj16.exe
#
TARGET=wpobj16.exe
TARGET_TYPE=EXE
PLATFORM=WIN16
SOURCE_FILES=printobj.cpp
ADD_LIBRARIES=cfzw16.lib
DEFINITION_FILE=win16.def
!include <zaf.mak>

#
# Build options for wprint32.exe
#
TARGET=wprint32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=print.cpp printapp.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wrprt32.exe
#
TARGET=wrprt32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=report.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wpobj32.exe
#
TARGET=wpobj32.exe
TARGET_TYPE=EXE
PLATFORM=WIN32
SOURCE_FILES=printobj.cpp
ADD_LIBRARIES=cfzw32.lib
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wprint.exe
#
TARGET=wprint.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=print.cpp printapp.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wreport.exe
#
TARGET=wreport.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=report.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for wpobj.exe
#
TARGET=wpobj.exe
TARGET_TYPE=EXEDLL
PLATFORM=WIN32
SOURCE_FILES=printobj.cpp
ADD_LIBRARIES=cfzw32i.lib
DEFINITION_FILE=
!include <zaf.mak>

# ----- VxWorks -------------------------------------------------------------

ADD_COMPILE_OPTS=-DZAF_VXW_APP_NAME=vprint

#
# Build options for vprint.o
#
TARGET=vprint.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=print.cpp printapp.cpp v_app.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for vreport.o
#
TARGET=vreport.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=report.cpp v_app.cpp
ADD_LIBRARIES=
DEFINITION_FILE=
!include <zaf.mak>

#
# Build options for vpobj.o
#
TARGET=vpobj.o
TARGET_TYPE=exe
PLATFORM=vxworks
SOURCE_FILES=printobj.cpp v_app.cpp
ADD_LIBRARIES=cfzv32.lib
DEFINITION_FILE=
!include <zaf.mak>
